function [y x]=generatedata(xmodel,ymodel,N);
%generate true target data form the given model

A=xmodel.A;
B=xmodel.B;
Q=xmodel.Q;
x0=xmodel.x0;
P0=xmodel.P0;


C=ymodel.C;
D=ymodel.D;
R=ymodel.R;




[ny,nx]=size(C);
[nv,~]=size(Q);
[ne,~]=size(R);

x=zeros(nx,N+1);
x(:,1)=mvnrnd(x0',P0,1)';
v=mvnrnd(zeros(1,nv),Q,N)';
e=mvnrnd(zeros(1,ne),R,N)';
y=zeros(ny,N);
for i=1:N,
   x(:,i+1)=A*x(:,i)+B*v(:,i);
   y(:,i)=C*x(:,i+1)+D*e(:,i);
end